package model

import (
	"fmt"
	"go.etztech.xyz/go-mcm/model/django"
	"strings"
)

type Model struct {
	Token string
	URL   string
}

func NewModel(token, baseURL string) *Model {
	return &Model{
		Token: token,
		URL:   fmt.Sprintf("%s/model", strings.TrimRight(baseURL, "/")),
	}
}

func (q *Model) NewDjangoBuilder() *django.Builder {
	return django.NewBuilder(q.Token)
}

func (q *Model) endpoint(model, query string) string {
	if !strings.HasPrefix(query, "?") {
		query = "?" + query
	}
	return fmt.Sprintf("%s/%s%s", q.URL, model, query)
}
