package web

import (
	"encoding/json"
	"go.etztech.xyz/go-mcm/internal"
	"net/url"
)

func (web *Web) Alert(message string, ping bool) (*internal.Status, error) {
	endpoint := web.endpoint("alert")
	status := &internal.Status{}

	form := url.Values{}
	form.Add("api", web.Token)
	form.Add("message", message)
	if ping {
		form.Add("ping", "True")
	}

	resp, err := internal.ResponsePost(endpoint, form)
	if err != nil {
		return nil, err
	}

	err = json.Unmarshal(resp, &status)
	if err != nil {
		return nil, err
	}

	return status, nil
}
